サポート » インストール » 4.2.2にアップグレード後、プラグインの更新ができなくなった

  • 解決済 hok212

    (@hok212)


    Ver4.1.2から4.2.2へアップグレード後、プラグインの更新ができなくなりました。

    インストール済みのプラグインリストは以下のとおりです。

    Akismet [Ver.3.1.1]
    Better Delete Revision [Ver.1.6.1]
    Contact Form 7 [Ver.4.1.1]
    List ctegory posts [Ver.0.59.1]
    PS Disable Auto Formatting [Ver.1.0.9]
    TinyMCE Advanceed [Ver.4.1.7]
    WP Database Backup [Ver.2.2]
    WP Multibyte Patch [Ver2.3]

    上記すべてのプラグインの更新ができません。

    ちなみに、現在まで下記のことを試してみましたが変化がありません。

    • wp-content/plugins と wp-content/upgrade のパーミッションを777にしてみた。
    • Contact Form 7 のzipファイルをダウンロードし、FTPにて手動アップグレードしたところ、インストール済みプラグイン一覧の画面と Contact Form 7 の編集画面が真っ白になった。

    なお、記事や固定ページの表示・投稿、あるいはメディアのアップロードなどは問題ありません。
    現時点で把握している問題はプラグインの更新のみです。

    このようなトラブルの場合、どのあたりをチェックするべきか、お教えいただければ幸いです。

4件の返信を表示中 - 1 - 4件目 (全4件中)
  • WordPress 4.2.2 自体のアップグレードが不完全状態ってことはないですかね

    맹조 さんご助言ありがとうございます。

    WordPressのアップグレードが正しく終了しているか or 不完全で終了したかの
    確認方法があればお教えください。

    効率のよい確認方法があるのか、それは知りませんが。
    アップグレードのあとで、おかしいと感じた場合。
    わたしはまず、アップグレードし直します。それで改善することが多かったからで、どこかに指導されていたかとか確かな根拠があってではありませんよ。

    使用中のプラグインを停止、テーマはデフォルトでグレードアップ作業をすることは当然ですよね。
    プラグインが更新できなくなる現象は体験がないので、そうなったらとしての想定でしか無いですが、それで改善できなかったら、プラグインも一緒にアップロードしてしまいます。

    アップロード前と後のファイルを比較すれば、不完全ファイルを突き止めることはできるでしょうが、そこまでは骨が折れますものね。
    また、原因が不完全終了にあれば、データベースのほうが更新出来ていないこともありかもしれません。

    맹조 さん 度々のご助言ありがとうございます。

    ご助言に従い、プラグインをすべてオフにしてからWordPressを再インストールしてみました。
    結果は変わりなかったのですが、原因がある程度特定できて来ました。

    まだはっきりとはしませんが、List ctegory posts が、インストール済みプラグインの何れかとバッティングしてる(相性が悪い)ようです。

    とりあえず、原因が見えてきましたので、このトピックスは「解決済み」にしたいと思います。

    ありがとうございました。

4件の返信を表示中 - 1 - 4件目 (全4件中)
  • トピック「4.2.2にアップグレード後、プラグインの更新ができなくなった」には新たに返信することはできません。